package oldmcdata.analyzers;

import java.io.File;

import oldmcdata.utils.StudyXMLHandler;


/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.3
 */

/** A class to test implementation of Generators
 */
public abstract class AbstractAnalyzer implements Analyzer {
    protected StudyXMLHandler studyXMLHandler;
    protected File configFile;

    public AbstractAnalyzer() {
    }

    public void setStudyXMLHandler(StudyXMLHandler e) {
        studyXMLHandler = e;
    }

    public void setConfigFile(String filename) {
        configFile = new File(filename);
    }

    public void initialize() {
    }

    public abstract boolean analyze();

}
