/*
    
    oldmcdata1.0
    Copyright (C) 2005 Referentia Systems, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package oldmcdata.analyzers.tests;

import oldmcdata.analyzers.Analyzer;
import oldmcdata.analyzers.AnalyzerFactory;

/**
 * @author Stephen C. Upton
 * @date Feb 22, 2005
 *
 */
public class AnotherFitnessAnalyzerTest {
    private String testDir, testStudyName;
    
    public AnotherFitnessAnalyzerTest(String testDirName, String testStudyName) {
        testDir = testDirName;
        this.testStudyName = testStudyName;
    }
    
    public void run() {
        Analyzer analyzer = AnalyzerFactory.getInstance(testDir, testStudyName);
        analyzer.initialize();
        analyzer.analyze();
    }
    
    public static void main(String[] args) {
        System.out.println("Running AnotherFitnessAnlayzerTest");
        AnotherFitnessAnalyzerTest test = new AnotherFitnessAnalyzerTest(args[0], args[1]);
        test.run();
        System.out.println("Completed AnotherFitnessAnlayzerTest");
        
    }
}
